Ошибка обновления yum

Все остальные вопросы
Ответить
mesb
Сообщения: 29
Зарегистрирован: Чт дек 03, 2020 4:01 pm

Ошибка обновления yum

Сообщение mesb » Чт фев 11, 2021 6:50 pm

Как обычно делал yum update на сервере.

С репы brainy-python3_sb на попытку обновить rclone получаем 404.


---> Package rclone.x86_64 0:1.52.3-1.el7 will be updated
---> Package rclone.x86_64 0:1.54.0-1.el7 will be an update


rclone-1.54.0-1.el7.x86_64.rpm FAILED
http://updbra5.shn-host.ru/centos/pytho ... x86_64.rpm: [Errno 14] HTTP Error 404 - Not Found


В репе нужных пакетов нет увы.

mesb
Сообщения: 29
Зарегистрирован: Чт дек 03, 2020 4:01 pm

Re: Ошибка обновления yum

Сообщение mesb » Чт фев 11, 2021 7:08 pm

Что любопытно, в репе то установленного 1.52 тоже нет, только 1.50.

Вобщем прошу поправить репу.

Аватара пользователя
sbury
Сообщения: 797
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: Ошибка обновления yum

Сообщение sbury » Пт фев 12, 2021 10:09 am

сделайте
yum clean all
и потом делайте
yum update

если ошибка останется покажите скрин с ней

mesb
Сообщения: 29
Зарегистрирован: Чт дек 03, 2020 4:01 pm

Re: Ошибка обновления yum

Сообщение mesb » Пт фев 12, 2021 4:48 pm

Вижу в репе нужное файло появилось.
Ваши рекомендации тоже выполнил, всё норм.
Спасибо.

Аватара пользователя
KyKyIIIKuH
Сообщения: 219
Зарегистрирован: Ср мар 14, 2018 11:04 am

Re: Ошибка обновления yum

Сообщение KyKyIIIKuH » Ср апр 07, 2021 7:27 pm

При обновлении получаю следующее предупреждение.

Код: Выделить всё

Error: Package: python2-acme-1.9.0-3.el7.noarch (myrepo-centos)
           Requires: python2-six
Error: Package: cloud-init-19.4-7.el7.centos.4.x86_64 (updates)
           Requires: pyserial
           Available: pyserial-2.6-6.el7.noarch (base)
               pyserial = 2.6-6.el7
https://pastebin.com/BDZEUHS4

Информация о версии панели и версии системы в подписи.
Текущая версия: 1.0834.20210226
Последняя доступная версия: 1.0834

centos-release-7-9.2009.1.el7.centos.x86_64

Аватара пользователя
sbury
Сообщения: 797
Зарегистрирован: Вт фев 06, 2018 7:51 am

Re: Ошибка обновления yum

Сообщение sbury » Ср апр 07, 2021 7:41 pm

пакет python2-acme остался отстарого certbot. Просто удалите его он больше не нужен
yum clean all
yum remove python2-acme

и на всякий случай удаляем этот, если остался
yum remove python2-certbot

Ответить